# lib/poptK.c File Reference

Popt tables for signature modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | POPT_ADDSIGN -1005
#define | POPT_RESIGN -1006

## Functions

static void | signArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)

## Variables

struct rpmSignArguments_s | rpmKArgs
struct poptOption | rpmSignPoptTable []

## Detailed Description

Popt tables for signature modes.

Definition in file poptK.c.

## Define Documentation

#define POPT_ADDSIGN -1005

Definition at line 16 of file poptK.c.

#define POPT_RESIGN -1006

Definition at line 17 of file poptK.c.

## Function Documentation

static void signArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data |
| ) |  |  | `[static]`

Definition at line 21 of file poptK.c.